ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Core.Actions

Synopsis

- getAtPoint :: NormalizedFilePath -> Position -> IdeAction (Maybe (Maybe Range, [Text]))
- getDefinition :: NormalizedFilePath -> Position -> IdeAction (Maybe [Location])
- getTypeDefinition :: NormalizedFilePath -> Position -> IdeAction (Maybe [Location])
- highlightAtPoint :: NormalizedFilePath -> Position -> IdeAction (Maybe [DocumentHighlight])
- refsAtPoint :: NormalizedFilePath -> Position -> Action [Location]
- workspaceSymbols :: Text -> IdeAction (Maybe [SymbolInformation])
- lookupMod :: HieDbWriter -> FilePath -> ModuleName -> Unit -> Bool -> MaybeT IdeAction Uri

# Documentation

getAtPoint :: NormalizedFilePath -> Position -> IdeAction (Maybe (Maybe Range, [Text])) #

Try to get hover text for the name under point.

getDefinition :: NormalizedFilePath -> Position -> IdeAction (Maybe [Location]) #

Goto Definition.

getTypeDefinition :: NormalizedFilePath -> Position -> IdeAction (Maybe [Location]) #

highlightAtPoint :: NormalizedFilePath -> Position -> IdeAction (Maybe [DocumentHighlight]) #

refsAtPoint :: NormalizedFilePath -> Position -> Action [Location] #

workspaceSymbols :: Text -> IdeAction (Maybe [SymbolInformation]) #

lookupMod #

Arguments

:: HieDbWriter | access the database
-> FilePath | The `.hie` file we got from the database
-> ModuleName |
-> Unit |
-> Bool | Is this file a boot file?
-> MaybeT IdeAction Uri |

Eventually this will lookup/generate URIs for files in dependencies, but not in the project. Right now, this is just a stub.